package es.verdnatura.presentation.view.feature.ubicador.model

class ItemUbicadorVO(
    var item: Int,
    var description: String = "",
    var visible: String = "",
    var stickers: String = "",
    var packing: String = "",
    var grouping: String = "",
    var col: String = "",
    var row: String = "",
    var code: String? = "",
    var id: Int = 0,
    var priority: String = "",
    var isError: Boolean = false,
    var errorMessage: String = "",
    var checked: Boolean = false,
    var isNew: Boolean = false,
    var isChecked: Int? = null,
    var url: String = ""
)

class ItemUbicador(
    var item: Long,
    var description: String = "",
    var visible: Int = 0,
    var stickers: Int = 0,
    var packing: Int? = null,
    var grouping: Int? = null,
    var available: Int? = null,
    var code: String? = "",
    var created: String? = null,
    var shelvingFk: String? = null,
    var id: Int = 0,
    var priority: Int = 0,
    var isError: Boolean = false,
    var errorMessage: String = "",
    var checked: Boolean = false,
    var isNew: Boolean = false,
    var isChecked: Int? = null,
    var url: String = "",
    var units: Int = 0
)

class ItemEscanerVO(
    var item: Long
)

class ItemUbicadorListVO(
    var list: List<ItemUbicadorVO> = listOf()
)

class ItemUbicadorListNew(
    var list: List<ItemUbicador> = listOf()
)

class ItemShelvingNewerList(
    var list: List<ItemShelvingNewer> = listOf(),
    var originalParking: String,
    var originalShelvingFk: String
)

data class ItemShelvingNewer(
    var itemFk: Int,
    var shelvingFk: String,
)

data class ItemBuy(
    val id: Number,
    val itemFk: Number,
    val grouping: Int?,
    val packing: Int,
    val packagingFk: String?
)